#############################################################################
# Makefile for building: kqoauth
# Generated by qmake (2.01a) (Qt 4.7.3) on: ? 8 3 02:36:05 2011
# Project:  kqoauth.pro
# Template: subdirs
# Command: d:\kiyoshi\tool\qtsdk\desktop\qt\4.7.3\mingw\bin\qmake.exe -spec ..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ QMLJSDEBUGGER_PATH=D:/kiyoshi/tool/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile kqoauth.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = d:\kiyoshi\tool\qtsdk\desktop\qt\4.7.3\mingw\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		sub-src \
		sub-examples \
		sub-tests

src\$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src\ $(MKDIR) src\ 
	cd src\ && $(QMAKE) d:\kiyoshi\noise\CommandoJikkyouSennyou\kqoauth-kqoauth\src\src.pro -spec ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ QMLJSDEBUGGER_PATH=D:/kiyoshi/tool/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src\ $(MKDIR) src\ 
	cd src\ && $(QMAKE) d:\kiyoshi\noise\CommandoJikkyouSennyou\kqoauth-kqoauth\src\src.pro -spec ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ QMLJSDEBUGGER_PATH=D:/kiyoshi/tool/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o $(MAKEFILE)
sub-src: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default-ordered: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_default: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first-ordered: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) first
sub-src-make_first: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) first
sub-src-all-ordered: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) all
sub-src-all: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean-ordered: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) clean
sub-src-clean: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean-ordered: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-distclean: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets-ordered: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) install
sub-src-install_subtargets: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets-ordered: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) uninstall
sub-src-uninstall_subtargets: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) uninstall
examples\$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) examples\ $(MKDIR) examples\ 
	cd examples\ && $(QMAKE) d:\kiyoshi\noise\CommandoJikkyouSennyou\kqoauth-kqoauth\examples\examples.pro -spec ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ QMLJSDEBUGGER_PATH=D:/kiyoshi/tool/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o $(MAKEFILE)
sub-examples-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) examples\ $(MKDIR) examples\ 
	cd examples\ && $(QMAKE) d:\kiyoshi\noise\CommandoJikkyouSennyou\kqoauth-kqoauth\examples\examples.pro -spec ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ QMLJSDEBUGGER_PATH=D:/kiyoshi/tool/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o $(MAKEFILE)
sub-examples: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE)
sub-examples-make_default-ordered: examples\$(MAKEFILE) sub-src-make_default-ordered  FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) 
sub-examples-make_default: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) 
sub-examples-make_first-ordered: examples\$(MAKEFILE) sub-src-make_first-ordered  FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) first
sub-examples-make_first: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) first
sub-examples-all-ordered: examples\$(MAKEFILE) sub-src-all-ordered  FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) all
sub-examples-all: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) all
sub-examples-clean-ordered: examples\$(MAKEFILE) sub-src-clean-ordered  FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) clean
sub-examples-clean: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) clean
sub-examples-distclean-ordered: examples\$(MAKEFILE) sub-src-distclean-ordered  FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) distclean
sub-examples-distclean: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) distclean
sub-examples-install_subtargets-ordered: examples\$(MAKEFILE) sub-src-install_subtargets-ordered  FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) install
sub-examples-install_subtargets: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) install
sub-examples-uninstall_subtargets-ordered: examples\$(MAKEFILE) sub-src-uninstall_subtargets-ordered  FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) uninstall
sub-examples-uninstall_subtargets: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) uninstall
tests\$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) tests\ $(MKDIR) tests\ 
	cd tests\ && $(QMAKE) d:\kiyoshi\noise\CommandoJikkyouSennyou\kqoauth-kqoauth\tests\tests.pro -spec ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ QMLJSDEBUGGER_PATH=D:/kiyoshi/tool/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o $(MAKEFILE)
sub-tests-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) tests\ $(MKDIR) tests\ 
	cd tests\ && $(QMAKE) d:\kiyoshi\noise\CommandoJikkyouSennyou\kqoauth-kqoauth\tests\tests.pro -spec ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ QMLJSDEBUGGER_PATH=D:/kiyoshi/tool/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o $(MAKEFILE)
sub-tests: tests\$(MAKEFILE) FORCE
	cd tests\ && $(MAKE) -f $(MAKEFILE)
sub-tests-make_default-ordered: tests\$(MAKEFILE) sub-examples-make_default-ordered  FORCE
	cd tests\ && $(MAKE) -f $(MAKEFILE) 
sub-tests-make_default: tests\$(MAKEFILE) FORCE
	cd tests\ && $(MAKE) -f $(MAKEFILE) 
sub-tests-make_first-ordered: tests\$(MAKEFILE) sub-examples-make_first-ordered  FORCE
	cd tests\ && $(MAKE) -f $(MAKEFILE) first
sub-tests-make_first: tests\$(MAKEFILE) FORCE
	cd tests\ && $(MAKE) -f $(MAKEFILE) first
sub-tests-all-ordered: tests\$(MAKEFILE) sub-examples-all-ordered  FORCE
	cd tests\ && $(MAKE) -f $(MAKEFILE) all
sub-tests-all: tests\$(MAKEFILE) FORCE
	cd tests\ && $(MAKE) -f $(MAKEFILE) all
sub-tests-clean-ordered: tests\$(MAKEFILE) sub-examples-clean-ordered  FORCE
	cd tests\ && $(MAKE) -f $(MAKEFILE) clean
sub-tests-clean: tests\$(MAKEFILE) FORCE
	cd tests\ && $(MAKE) -f $(MAKEFILE) clean
sub-tests-distclean-ordered: tests\$(MAKEFILE) sub-examples-distclean-ordered  FORCE
	cd tests\ && $(MAKE) -f $(MAKEFILE) distclean
sub-tests-distclean: tests\$(MAKEFILE) FORCE
	cd tests\ && $(MAKE) -f $(MAKEFILE) distclean
sub-tests-install_subtargets-ordered: tests\$(MAKEFILE) sub-examples-install_subtargets-ordered  FORCE
	cd tests\ && $(MAKE) -f $(MAKEFILE) install
sub-tests-install_subtargets: tests\$(MAKEFILE) FORCE
	cd tests\ && $(MAKE) -f $(MAKEFILE) install
sub-tests-uninstall_subtargets-ordered: tests\$(MAKEFILE) sub-examples-uninstall_subtargets-ordered  FORCE
	cd tests\ && $(MAKE) -f $(MAKEFILE) uninstall
sub-tests-uninstall_subtargets: tests\$(MAKEFILE) FORCE
	cd tests\ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: kqoauth.pro  ../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/win32-g++/qmake.conf ../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/qconfig.pri \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/modules/qt_webkit_version.pri \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/qt_functions.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/qt_config.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/exclusive_builds.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/default_pre.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/default_pre.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/debug.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/debug_and_release.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/default_post.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/default_post.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/rtti.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/exceptions.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/stl.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/shared.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/warn_on.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/qt.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/thread.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/moc.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/windows.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/resources.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/uic.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/yacc.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/lex.prf \
		../../../tool/QtSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec ..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ QMLJSDEBUGGER_PATH=D:/kiyoshi/tool/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile kqoauth.pro
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\qconfig.pri:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\modules\qt_webkit_version.pri:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\qt_functions.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\qt_config.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\exclusive_builds.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\default_pre.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\default_pre.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\debug.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\debug_and_release.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\default_post.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\default_post.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\rtti.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\exceptions.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\stl.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\shared.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\warn_on.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\qt.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\thread.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\moc.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\windows.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\resources.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\uic.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\yacc.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\lex.prf:
..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec ..\..\..\tool\QtSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ QMLJSDEBUGGER_PATH=D:/kiyoshi/tool/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile kqoauth.pro

qmake_all: sub-src-qmake_all sub-examples-qmake_all sub-tests-qmake_all FORCE

make_default: sub-src-make_default-ordered sub-examples-make_default-ordered sub-tests-make_default-ordered FORCE
make_first: sub-src-make_first-ordered sub-examples-make_first-ordered sub-tests-make_first-ordered FORCE
all: sub-src-all-ordered sub-examples-all-ordered sub-tests-all-ordered FORCE
clean: sub-src-clean-ordered sub-examples-clean-ordered sub-tests-clean-ordered FORCE
distclean: sub-src-distclean-ordered sub-examples-distclean-ordered sub-tests-distclean-ordered FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets-ordered sub-examples-install_subtargets-ordered sub-tests-install_subtargets-ordered FORCE
uninstall_subtargets: sub-src-uninstall_subtargets-ordered sub-examples-uninstall_subtargets-ordered sub-tests-uninstall_subtargets-ordered FORCE

sub-src-sub_Debug_ordered: src\$(MAKEFILE)
	cd src\ && $(MAKE) debug
sub-examples-sub_Debug_ordered: examples\$(MAKEFILE) sub-src-sub_Debug_ordered 
	cd examples\ && $(MAKE) debug
sub-tests-sub_Debug_ordered: tests\$(MAKEFILE) sub-examples-sub_Debug_ordered 
	cd tests\ && $(MAKE) debug
debug: sub-src-sub_Debug_ordered sub-examples-sub_Debug_ordered sub-tests-sub_Debug_ordered

sub-src-sub_Release_ordered: src\$(MAKEFILE)
	cd src\ && $(MAKE) release
sub-examples-sub_Release_ordered: examples\$(MAKEFILE) sub-src-sub_Release_ordered 
	cd examples\ && $(MAKE) release
sub-tests-sub_Release_ordered: tests\$(MAKEFILE) sub-examples-sub_Release_ordered 
	cd tests\ && $(MAKE) release
release: sub-src-sub_Release_ordered sub-examples-sub_Release_ordered sub-tests-sub_Release_ordered

sub-src-check_ordered: src\$(MAKEFILE)
	cd src\ && $(MAKE) check
sub-examples-check_ordered: examples\$(MAKEFILE) sub-src-check_ordered 
	cd examples\ && $(MAKE) check
sub-tests-check_ordered: tests\$(MAKEFILE) sub-examples-check_ordered 
	cd tests\ && $(MAKE) check
check: sub-src-check_ordered sub-examples-check_ordered sub-tests-check_ordered

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

